# $Revision: 1.68 $, $Date: 2008/09/25 11:32:31 $
#
# Conditional build:
%bcond_without	apidocs # disable gtk-doc 
%bcond_without	cairo	# disable Cairo backend
%bcond_without	qt	# disable qt wrapper
%bcond_without	qt4	# disable qt4 wrapper
#
%define		cairo_ver	1.4.0
#
Summary:	PDF rendering library
Summary(pl.UTF-8):	Biblioteka renderująca PDF
Name:		poppler
Version:	0.8.7
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://poppler.freedesktop.org/%{name}-%{version}.tar.gz
# Source0-md5:	9af81429d6f8639c357a5eed25583365
URL:		http://poppler.freedesktop.org/
%{?with_qt4:BuildRequires:	QtGui-devel >= 4.1.0}
%{?with_qt4:BuildRequires:	QtTest-devel >= 4.1.0}
%{?with_qt4:BuildRequires:	QtXml-devel >= 4.1.0}
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
%{?with_cairo:BuildRequires:	cairo-devel >= %{cairo_ver}}
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	gtk+2-devel >= 2:2.8.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.0}
BuildRequires:	libjpeg-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pkgconfig
%{?with_qt:BuildRequires:	qt-devel >= 3.0}
%{?with_qt4:BuildRequires:	qt4-build}
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A common PDF rendering library for integrating PDF viewing into
desktop applications (based on the xpdf-3.0 code base).

%description -l pl.UTF-8
Wspólna biblioteka renderująca PDF do integrowania oglądania PDF w
aplikacjach desktopowych (oparta na kodzie xpdf-3.0).

%package devel
Summary:	Poppler header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Poppler
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	fontconfig-devel
Requires:	freetype-devel >= 2.0
Requires:	libstdc++-devel

%description devel
Header files for the Poppler library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Poppler.

%package static
Summary:	Poppler static libraries
Summary(pl.UTF-8):	Statyczne biblioteki Poppler
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Poppler static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki Poppler.

%package apidocs
Summary:	Poppler library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki Poppler
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
Poppler library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki Poppler.

%package glib
Summary:	GLib wrapper for poppler
Summary(pl.UTF-8):	Wrapper GLib dla popplera
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_cairo:Requires:	cairo >= %{cairo_ver}}
Requires:	gtk+2 >= 2:2.8.0

%description glib
GLib wrapper for poppler.

%description glib -l pl.UTF-8
Wrapper GLib dla popplera.

%package glib-devel
Summary:	Header files for GLib wrapper for poppler
Summary(pl.UTF-8):	Pliki nagłówkowe wrappera GLib dla popplera
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-glib = %{version}-%{release}
%{?with_cairo:Requires:	cairo-devel >= %{cairo_ver}}
Requires:	gtk+2-devel >= 2:2.8.0

%description glib-devel
Header files for GLib wrapper for poppler.

%description glib-devel -l pl.UTF-8
Pliki nagłówkowe wrappera GLib dla popplera.

%package glib-static
Summary:	Static version of GLib wrapper for poppler
Summary(pl.UTF-8):	Statyczna wersja wrappera GLib dla popplera
Group:		Development/Libraries
Requires:	%{name}-glib-devel = %{version}-%{release}

%description glib-static
Static version of GLib wrapper for poppler.

%description glib-static -l pl.UTF-8
Statyczna wersja wrappera GLib dla popplera.

%package qt
Summary:	Qt wrapper for poppler
Summary(pl.UTF-8):	Wrapper Qt dla popplera
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description qt
Qt wrapper for poppler.

%description qt -l pl.UTF-8
Wrapper Qt dla popplera.

%package qt-devel
Summary:	Header files for Qt wrapper for poppler
Summary(pl.UTF-8):	Pliki nagłówkowe wrappera Qt dla popplera
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-qt = %{version}-%{release}
Requires:	qt-devel

%description qt-devel
Header files for Qt wrapper for poppler.

%description qt-devel -l pl.UTF-8
Pliki nagłówkowe wrappera Qt dla popplera.

%package qt-static
Summary:	Static version of Qt wrapper for poppler
Summary(pl.UTF-8):	Statyczna wersja wrappera Qt dla popplera
Group:		Development/Libraries
Requires:	%{name}-qt-devel = %{version}-%{release}

%description qt-static
Static version of Qt wrapper for poppler.

%description qt-static -l pl.UTF-8
Statyczna wersja wrappera Qt dla popplera.

%package Qt
Summary:	Qt4 wrapper for poppler
Summary(pl.UTF-8):	Wrapper Qt4 dla popplera
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description Qt
Qt4 wrapper for poppler.

%description Qt -l pl.UTF-8
Wrapper Qt4 dla popplera.

%package Qt-devel
Summary:	Header files for Qt4 wrapper for poppler
Summary(pl.UTF-8):	Pliki nagłówkowe wrappera Qt4 dla popplera
Group:		Development/Libraries
Requires:	%{name}-Qt = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	QtGui-devel
Requires:	QtXml-devel

%description Qt-devel
Header files for Qt4 wrapper for poppler.

%description Qt-devel -l pl.UTF-8
Pliki nagłówkowe wrapper Qt4 dla popplera.

%package Qt-static
Summary:	Static version of Qt4 wrapper for poppler
Summary(pl.UTF-8):	Statyczna wersja wrappera Qt4 dla popplera
Group:		Development/Libraries
Requires:	%{name}-Qt-devel = %{version}-%{release}

%description Qt-static
Static version of Qt4 wrapper for poppler.

%description Qt-static -l pl.UTF-8
Statyczna wersja wrappera Qt4 dla popplera.

%package progs
Summary:	Set of tools for viewing information and converting PDF files
Summary(pl.UTF-8):	Zestaw narzędzi do wyświetlania informacji i konwertowania plików PDF
Group:		Applications/Publishing
Provides:	pdftops
Obsoletes:	pdftohtml
Obsoletes:	pdftohtml-pdftops
Obsoletes:	poppler-utils
Obsoletes:	xpdf-tools

%description progs
Package contains utilites for PDF files. These utilities allow to
- extract information about PDF files
- extract images from PDF files
- convert PDF files to HTML, plain text and PS formats

%description progs -l pl.UTF-8
Pakiet zawiera zestaw narzędzi do plików PDF. Programy te umożliwiają
- wyświetlanie informacji o plikach PDF
- wydobywanie obrazków z plików PDF
- konwersję plików PDF do formatów takich jak HTML, PS czy też czystego
  tekstu

%prep
%setup -q

%build
%{?with_apidocs:%{__gtkdocize}}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf} -f
%{__autoheader}
%{__automake}
%configure \
	QTINC=/usr/include/qt \
	QTLIB=%{_libdir} \
	%{!?with_cairo:--disable-cairo-output} \
	%{!?with_qt:--disable-poppler-qt} \
	%{!?with_qt4:--disable-poppler-qt4} \
	--enable-a4-paper \
	%{?with_apidocs:--enable-gtk-doc} \
	--enable-xpdf-headers \
	--enable-zlib \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{without apidocs}
# why it still installs them, brr
rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}/poppler
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	glib -p /sbin/ldconfig
%postun	glib -p /sbin/ldconfig

%post	qt -p /sbin/ldconfig
%postun	qt -p /sbin/ldconfig

%post	Qt -p /sbin/ldconfig
%postun	Qt -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README* TODO
%attr(755,root,root) %{_libdir}/libpoppler.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpoppler.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpoppler.so
%{_libdir}/libpoppler.la
%dir %{_includedir}/poppler
%{_includedir}/poppler/poppler-config.h
%{_includedir}/poppler/[ABCDEFGJLMNOPSTUX]*.h
%{_includedir}/poppler/Function.cc
%{_includedir}/poppler/goo
%{_includedir}/poppler/splash
%exclude %{_includedir}/poppler/glib
%{_pkgconfigdir}/poppler.pc
%{?with_cairo:%{_pkgconfigdir}/poppler-cairo.pc}
%{_pkgconfigdir}/poppler-splash.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libpoppler.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/poppler
%endif

%files glib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpoppler-glib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpoppler-glib.so.3

%files glib-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpoppler-glib.so
%{_libdir}/libpoppler-glib.la
%{_includedir}/poppler/glib
%{_pkgconfigdir}/poppler-glib.pc

%files glib-static
%defattr(644,root,root,755)
%{_libdir}/libpoppler-glib.a

%if %{with qt}
%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpoppler-qt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpoppler-qt.so.2

%files qt-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpoppler-qt.so
%{_libdir}/libpoppler-qt.la
%{_includedir}/poppler/qt3
%{_pkgconfigdir}/poppler-qt.pc

%files qt-static
%defattr(644,root,root,755)
%{_libdir}/libpoppler-qt.a
%endif

%if %{with qt4}
%files Qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpoppler-qt4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpoppler-qt4.so.3

%files Qt-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpoppler-qt4.so
%{_libdir}/libpoppler-qt4.la
%{_includedir}/poppler/qt4
%{_pkgconfigdir}/poppler-qt4.pc

%files Qt-static
%defattr(644,root,root,755)
%{_libdir}/libpoppler-qt4.a
%endif

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pdf*
%{_mandir}/man1/pdf*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: poppler.spec,v $
Revision 1.68  2008/09/25 11:32:31  glen
- adapter, rm apidocs if built without

Revision 1.67  2008/09/01 22:54:22  adamg
- updated to 0.8.7

Revision 1.66  2008/08/20 16:51:54  megabajt
- updated to 0.8.6
- removed obsolete -secfix.patch
- added apidocs subpackage

Revision 1.65  2008/08/11 07:15:22  adamg
- updated to 0.8.5

Revision 1.64  2008/07/11 21:56:59  megabajt
- updated to 0.8.4
- removed obsolete -qt4.patch
- added -secfix.patch which fixes CVE-2008-2950

Revision 1.63  2008/06/11 11:38:29  megabajt
- updated to 0.8.3

Revision 1.62  2008-05-18 16:41:42  megabajt
- updated to 0.8.2
- added CVE reference to rev. 1.58

Revision 1.61  2008-04-13 08:42:38  arekm
- rel 1

Revision 1.60  2008-04-01 11:33:34  sls
- there's only libpoppler-qt.so.2 (also in 0.7.2)

Revision 1.59  2008-04-01 11:24:13  sls
- moc-qt4 fixes

Revision 1.58  2008-04-01 11:05:20  sls
- ver. 0.8.0 (NFY)
- fixes [CVE-2008-1693]

Revision 1.57  2008-03-15 04:25:11  aredridel
- 0.7.2

Revision 1.56  2008-02-14 21:04:16  qboosh
- ghost soname symlinks

Revision 1.55  2008-02-13 14:25:38  lkrotowski
- up to 0.6.4

Revision 1.54  2007-12-16 19:16:49  qboosh
- updated to 0.6.3

Revision 1.53  2007-11-10 16:43:27  arekm
- up to 0.6.2; fixes CVE-2007-4352, CVE-2007-5392 and CVE-2007-5393

Revision 1.52  2007/11/04 07:54:13  qboosh
- updated to 0.6.1

Revision 1.51  2007/09/04 20:34:03  aflinta
- remove obsoleted patch from list

Revision 1.50  2007/09/04 20:14:34  wrobell
- rel. 1

Revision 1.49  2007/09/04 18:56:04  qboosh
- qt_m4 patch replaced by QTINC+QTLIB passing

Revision 1.48  2007/09/04 10:07:04  wrobell
- ver. 0.6

Revision 1.47  2007/08/27 05:54:56  qboosh
- updated to 0.5.91 (fixes CVE-2007-3387)

Revision 1.46  2007/06/02 16:35:28  qboosh
- updated to 0.5.9 (devel, but fixes CVE-2007-0104)
- updated qt_m4 patch, removed obsolete freetype_includes patch

Revision 1.45  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.44  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.43  2006/10/09 20:19:46  grzegol
- updated to 0.5.4
- removed outdated link patch (applied upstream)

Revision 1.42  2006/06/06 18:20:03  freetz
- rel.2

Revision 1.41  2006/06/06 17:29:23  freetz
- refresh gtk-doc.make

Revision 1.40  2006/06/02 06:04:52  freetz
- 0.5.3, missing header file already included

Revision 1.39  2006/05/27 09:36:09  qboosh
- updated to 0.5.2, updated qt_m4 patch, removed obsolete gcc4 patch
- add missing poppler-annotation-helper.h file from CVS
- qt4 linking seems fixed, cairo deps now belong to glib bindings

Revision 1.38  2006/04/03 18:21:58  arekm
- rel 2; disable qt4 crap

Revision 1.37  2006/03/01 18:40:41  pluto
- ldconfig for Qt.

Revision 1.36  2006/03/01 18:32:03  pluto
- Qt4 wrapper packaged.

Revision 1.35  2006/03/01 16:35:27  pluto
- qt4 wrapper fixed and enabled but not packaged yet.
   /usr/lib64/libpoppler-qt4.{a,la,so.*}
   /usr/lib64/pkgconfig/poppler-qt4.pc

Revision 1.34  2006/03/01 10:53:57  wrobell
- ver. 0.5.1

Revision 1.33  2006/02/25 13:54:14  freetz
- enable zlib support

Revision 1.32  2006/02/24 21:42:20  sparky
- added cvs patch (there was some missing files), 0.5.0 is developement release anyway
- rel 3

Revision 1.31  2006/02/10 09:05:47  freetz
- package xpdf headers too, rel.2

Revision 1.30  2006/01/27 11:43:26  adgor
- Apidocs bcond

Revision 1.29  2006/01/23 15:31:05  wrobell
- o: -utils

Revision 1.28  2006/01/23 15:08:40  wrobell
- s/poppler-utils/popplers-progs/ like in libxml2, libxslt...

Revision 1.27  2006/01/23 12:38:22  wrobell
- more descriptions

Revision 1.26  2006/01/20 09:30:33  freetz
- braindamage removed

Revision 1.25  2006/01/20 09:27:17  freetz
- note about qt dependency in utils subpkg

Revision 1.24  2006/01/20 09:23:43  freetz
- 0.5.0, utils subpkg, gtk-doc API docs

Revision 1.23  2006/01/11 09:47:32  wrobell
- ver. 0.4.4

Revision 1.22  2005/12/15 16:55:49  freetz
- 0.4.3

Revision 1.21  2005/12/11 11:20:15  qrczak
- C++ fixes needed for gcc4, mostly "extra qualification" errors.

Revision 1.20  2005/12/05 15:15:14  freetz
- late updated: 0.4.2

Revision 1.19  2005/11/29 17:32:54  adgor
- Added freetype_includes.patch

Revision 1.18  2005/08/28 17:41:06  arekm
- req final cairo

Revision 1.17  2005/08/26 22:52:39  aflinta
- 0.4.1

Revision 1.16  2005/08/16 08:04:29  freetz
- 0.4.0

Revision 1.15  2005/06/24 19:04:03  wrobell
- ver. 0.3.3

Revision 1.14  2005/05/21 11:13:14  wrobell
- ver. 0.3.2
- use cairo_ver for cairo dependencies

Revision 1.13  2005/05/07 11:58:37  wrobell
- ver. 0.3.1

Revision 1.12  2005/04/24 12:13:47  qboosh
- -qt is not backend to be precise

Revision 1.11  2005/04/24 11:47:49  freetz
- qt bcond added

Revision 1.10  2005/04/23 22:42:21  qboosh
- added qt patch to fix qt wrapper build, updated link patch, added glib,qt BRs
- separated glib and qt wrappers, release 2

Revision 1.9  2005/04/23 16:38:54  freetz
- 0.3.0

Revision 1.8  2005/04/06 10:20:40  wrobell
- ver. 0.2.0

Revision 1.7  2005/03/28 23:39:59  paladine
- rel. 1

Revision 1.6  2005/03/10 03:47:42  wrobell
- cairo enabled by default
- ver. 0.1.2

Revision 1.5  2005/03/04 22:24:17  qboosh
- added link patch

Revision 1.4  2005/03/04 21:33:51  qboosh
- License is GPL (not LGPL) - see README
- added BRs/Rs

Revision 1.3  2005/03/04 21:21:54  qboosh
- pl

Revision 1.2  2005/03/04 14:30:00  spider
- adaptarized

Revision 1.1  2005/03/04 14:21:15  wrobell
- based on template
